CVE-2009-1143

NameCVE-2009-1143
DescriptionAn issue was discovered in open-vm-tools 2009.03.18-154848. Local users can bypass intended access restrictions on mounting shares via a symlink attack that leverages a realpath race condition in mount.vmhgfs (aka hgfsmounter).
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
open-vm-tools (PTS)buster2:10.3.10-1+deb10u2vulnerable
buster (security)2:10.3.10-1+deb10u6vulnerable
bullseye (security), bullseye2:11.2.5-2+deb11u3vulnerable
bookworm, bookworm (security)2:12.2.0-1+deb12u2fixed
sid2:12.4.0-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
open-vm-toolssource(unstable)2:12.0.0-1

Notes

[bullseye] - open-vm-tools <ignored> (Minor issue; mount.vmhgfs not suid root in Debian)
[buster] - open-vm-tools <ignored> (Minor issue; mount.vmhgfs not suid root in Debian)
https://bugzilla.suse.com/show_bug.cgi?id=372070
Removing hgfsmounter/mount.vmhgfs: https://github.com/vmware/open-vm-tools/commit/61331a189a0eeb76f014db28288b06c0323bc0b9 (stable-12.0.0)

Search for package or bug name: Reporting problems